v.db.dropcolumn(1)

NAME
v.db.dropcolumn - Drops a column from the attribute table connected to a given vector map.

KEYWORDS
vector, attribute table, database

SYNOPSIS
v.db.dropcolumn
v.db.dropcolumn --help
v.db.dropcolumn map=name [layer=string] columns=name[,name,...] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

columns=name[,name,...] [required]
    Name of attribute column(s) to drop

DESCRIPTION
v.db.dropcolumn drops a column from the attribute table connected to a given vector map. It automatically checks the connection for the specified layer. v.db.dropcolumn omits to delete the ’cat’ column which is relevant to keep the connection between vector map and table.

NOTES
v.db.dropcolumn is a front-end to db.execute to allow easier usage.

The existing database connection(s) can be verified with v.db.connect.

EXAMPLES
Dropping a column:

g.copy vect=roadsmajor,myroads
v.info -c myroads
v.db.dropcolumn myroads column=SHAPE_LEN
v.info -c myroads

SEE ALSO
db.connect, db.dropcolumn, db.execute, v.db.addcolumn, v.db.connect, v.db.droptable, v.db.select, v.db.update

GRASS SQL interface

AUTHOR
Markus Neteler

SOURCE CODE

Available at: v.db.dropcolumn source code (history)

Latest change: Friday Oct 25 16:16:09 2024 in commit: 4ea983fff87951516b6e4578a0527e3b10f04643

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual